Bug 96647 - i18n: Please add Interlingue [ie]
Summary: i18n: Please add Interlingue [ie]
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-21 16:29 UTC by Hidden
Modified: 2016-10-25 19:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hidden 2015-12-21 16:29:08 UTC
Please add the language definition for Interlingue (formerly Occidental), a popular constructed language.

ISO code: ie
Country code: N/A
English name: Interlingue (Occidental)
Comment 1 Hidden 2016-01-05 20:00:58 UTC
Hallo?
Comment 2 Eike Rathke 2016-01-05 20:32:50 UTC
Patience, it was holiday season..

So, why do you actually need that contructed and probably rarely used language to be selectable from the UI listbox, given that now you can enter arbitrary valid language tags in the language combobox to attribute text, i.e. "ie"? I'm asking because that list is already quite cluttered..

Do you plan to submit locale data?
Comment 3 Hidden 2016-01-06 15:53:27 UTC
The language has its ISO 639-1 code, and it is a reason enough.
What is more important, is that Libre Office does not support spell check and language detection for custom languages; there is no MS Word roundtrip and some other UI elements does not support it too.

What are the locale data needed for? A language entry and spell checking support is enough.
Comment 4 Eike Rathke 2016-01-06 20:28:27 UTC
If we would add an entry for every ISO 639 code we'd have 3000 languages in the list. Anyway, if a spell-checker is installed that supports 'ie' then spell-checking should work even for that custom language. Language detection will of course not come automatically unless someone implements it. MS-Word round-trip *is* possible if you use .docx format (MS-Word doesn't explicitly support Interlingue, does it?). Which UI elements do you mean don't support it?

Locale data is needed for number formats, day and month names in fields, and to be able to select a language as default language. See also https://wiki.documentfoundation.org/LibreOffice_Localization_Guide/How_To_Submit_New_Locale_Data
Though having locale data with a language only that has no default country assigned is much arbitrary, e.g. in separators and date and currency formats.
Comment 5 Hidden 2016-01-07 18:23:18 UTC
> if a spell-checker is installed that supports 'ie' then spell-checking should work even for that custom language.

I don't know what it 'should' do, but it definitely doesn't -- check it yourself.

There is only 184 ISO 639-1 codes in existence.

No, locale support is not required.
Comment 6 Eike Rathke 2016-01-08 16:06:36 UTC
I don't know what system you're on and which spell-checker files you use for 'ie' and how it is installed, but if it makes you happy I'll add the entry.
Comment 7 Commit Notification 2016-01-08 16:31:15 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57a5912dacef57c3c447ef90c70972191ac12b6e

tdf#96647 add Interlingue Occidental [ie] to language list

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Adolfo Jayme 2016-01-09 01:35:27 UTC
> I don't know what it 'should' do, but it definitely doesn't -- check it
> yourself.

And where can I download an Interlingue spelling dictionary to check by myself that support “doesn’t work”?
Comment 9 Hidden 2016-01-15 10:23:03 UTC
You can create one yourself or rename any existing one.